Subject: bug#15899: 24.3.50; regression: `region' overlay is lower priority than default

From: Drew Adams <[email-masked]>
Date: Sat, 16 Nov 2013 14:42:11 -0800 (PST)

> > 2. Previously, region highlighting used the `face' text property.
> > 3rd-party code and user code and interactions that manipulate text
> > properties will no longer work.
> 
> Obviously you don't know what you're talking about.

Feel better now, Stefan?

I already said several hours ago, after Eli pointed it out, that
I was mistaken in thinking that face `region' was applied as a
text property.  I was (mistakenly) convinced that I had seen it
listed in `C-u C-x =' output as such.  Mea culpa (again).

At least I know enough to guess that selection highlighting
should, at the very least by default, visibly cover the entire
selection.  That's a no-brainer, in my book.  But then, I don't
know what I'm talking about.